Funding

Withdraw from trading wallet

POST/v1/trading/wallet/withdraw

Moves funds from the user's trading wallet back to their Bit2Me wallet, to the user's pocket of currency with the highest balance. Only the available balance can be withdrawn; funds reserved by open orders must be released first by cancelling those orders. The transfer is recorded as a withdrawal movement (GET /v1/trading/movement).

amount is rounded down to the decimals of the currency. Only one movement per currency can be in progress at a time.

Authorization

ApiKeyAuth
X-Api-Key<token>

For accessing these endpoints a valid API key must be sent in the X-Api-Key header.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

Withdraw from trading wallet
Example1 of 2
curl --request POST \  --url 'https://gateway.bit2me.com/v1/trading/wallet/withdraw' \  --header 'Content-Type: application/json' \  --data '{  "amount": "0.1",  "currency": "BTC"}'
{  "balance": 1300.5,  "blockedBalance": 0,  "createdAt": "2023-09-13T14:05:42.149Z",  "currency": "EUR",  "id": "3a9f1c2d-7e4b-4f6a-8c1d-2b3e4f5a6b7c",  "rawBalance": "1300.5",  "rawBlockedBalance": "0",  "userId": "2bf436fc-43e6-459a-b647-6b446f72ad96"}